# (c) Copyright	Empress Software Inc.	1983, 2000

(cd $EMPRESSPATH; tar xf $CDROM_DIR/empress/install.tar)

PATH="$EMPRESSPATH/common/gnu:$EMPRESSPATH/bin:$PATH"
export PATH

umask 022

cp $EMPRESSPATH/config/options._ $EMPRESSPATH/config/options
cp $EMPRESSPATH/config/initfile._ $EMPRESSPATH/config/initfile

##################################################################
#	check uid
##################################################################

X=`getuname`

if test "$X" = "root"
then
	clear_screen

	echo_message "$MSG_ROOT_WARNING"

	do_you_want_to_continue n
fi

##################################################################
#	check if the platform matches
##################################################################

X=`$EMPRESSPATH/empinstl/instbin/inst -CHKEXEC`

if test "$X" != "OK"
then
	non_native_machine
	installation_cleanup
	exit 1
fi

